part of photogallery;

class VideoProvider {
  VideoProvider({
    @required this.mediumId,
  }) : assert(mediumId != null);

  final String mediumId;
  VideoPlayerController _controller;
  File _file;


  @override
  void initState() {
    WidgetsBinding.instance.addPostFrameCallback((_) {
      initAsync();
    });
    super.initState();
  }

  Future<void> initAsync() async {
    try {
      _file = await widget.media.getFile();
      _controller = VideoPlayerController.file(_file)
        ..initialize().then((_) {
          // Ensure the first frame is shown after the video is initialized, even before the play button has been pressed.
          setState(() {});
        });
    } catch (e) {
      print("Failed : $e");
    }
  }
}